:root {
  --vs-colors--lightest: #9ca3af;
  --vs-colors--light: rgba(60, 60, 60, .5);
  --vs-colors--dark: #333;
  --vs-colors--darkest: rgba(0, 0, 0, .15);
  --vs-search-input-color: inherit;
  --vs-search-input-placeholder-color: inherit;
  --vs-font-size: 1rem;
  --vs-line-height: 1.4;
  --vs-state-disabled-bg: rgb(248, 248, 248);
  --vs-state-disabled-color: var(--vs-colors--light);
  --vs-state-disabled-controls-color: var(--vs-colors--light);
  --vs-state-disabled-cursor: not-allowed;
  --vs-border-color: var(--vs-colors--lightest);
  --vs-border-width: 1px;
  --vs-border-style: solid;
  --vs-border-radius: 4px;
  --vs-actions-padding: 4px 6px 0 3px;
  --vs-controls-color: var(--vs-colors--light);
  --vs-controls-size: 1;
  --vs-controls--deselect-text-shadow: 0 1px 0 #fff;
  --vs-selected-bg: #7367f0;
  --vs-selected-color: #ffffff;
  --vs-selected-border-color: var(--vs-border-color);
  --vs-selected-border-style: var(--vs-border-style);
  --vs-selected-border-width: var(--vs-border-width);
  --vs-dropdown-bg: #fff;
  --vs-dropdown-color: inherit;
  --vs-dropdown-z-index: 1000;
  --vs-dropdown-min-width: 160px;
  --vs-dropdown-max-height: 350px;
  --vs-dropdown-box-shadow: 0px 3px 6px 0px var(--vs-colors--darkest);
  --vs-dropdown-option-bg: #000;
  --vs-dropdown-option-color: var(--vs-dropdown-color);
  --vs-dropdown-option-padding: 3px 20px;
  --vs-dropdown-option--active-bg: #5897fb;
  --vs-dropdown-option--active-color: #fff;
  --vs-dropdown-option--deselect-bg: #fb5858;
  --vs-dropdown-option--deselect-color: #fff;
  --vs-transition-timing-function: cubic-bezier(1, -.115, .975, .855);
  --vs-transition-duration: .15s
}

.dark .v-select .vs__dropdown-toggle {
  border-color: #4b5563;
}

.v-select .vs__dropdown-toggle {
  border-color: #d1d5db;
  border-radius: .5rem;
}


.v-select {
  position: relative;
  font-family: inherit;
  background: #f9fafb;
}

.dark .v-select {
  background: #374151;
  border-radius: .5rem;
}

.v-select,
.v-select * {
  box-sizing: border-box
}

:root {
  --vs-transition-timing-function: cubic-bezier(1, .5, .8, 1);
  --vs-transition-duration: .15s
}

@-webkit-keyframes vSelectSpinner {
  0% {
    transform: rotate(0)
  }

  to {
    transform: rotate(360deg)
  }
}

@keyframes vSelectSpinner {
  0% {
    transform: rotate(0)
  }

  to {
    transform: rotate(360deg)
  }
}

.vs__fade-enter-active,
.vs__fade-leave-active {
  pointer-events: none;
  transition: opacity var(--vs-transition-duration) var(--vs-transition-timing-function)
}

.vs__fade-enter,
.vs__fade-leave-to {
  opacity: 0
}

:root {
  --vs-disabled-bg: var(--vs-state-disabled-bg);
  --vs-disabled-color: var(--vs-state-disabled-color);
  --vs-disabled-cursor: var(--vs-state-disabled-cursor)
}

.vs--disabled .vs__dropdown-toggle,
.vs--disabled .vs__clear,
.vs--disabled .vs__search,
.vs--disabled .vs__selected,
.vs--disabled .vs__open-indicator {
  cursor: var(--vs-disabled-cursor);
  background-color: var(--vs-disabled-bg)
}

.v-select[dir=rtl] .vs__actions {
  padding: 0 3px 0 6px
}

.v-select[dir=rtl] .vs__clear {
  margin-left: 6px;
  margin-right: 0
}

.v-select[dir=rtl] .vs__deselect {
  margin-left: 0;
  margin-right: 2px
}

.v-select[dir=rtl] .vs__dropdown-menu {
  text-align: right
}

.dark .vs__dropdown-menu {
  background: #283046;
  color: #f9fafb;
}

.vs__dropdown-toggle {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  display: flex;
  padding: 0 0 4px;
  background: none;
  border: var(--vs-border-width) var(--vs-border-style) var(--vs-border-color);
  border-radius: var(--vs-border-radius);
  white-space: normal
}

.vs__selected-options {
  display: flex;
  flex-basis: 100%;
  flex-grow: 1;
  flex-wrap: wrap;
  padding: 0 2px;
  position: relative
}

.vs__actions {
  display: flex;
  align-items: center;
  padding: 0 10px 0 0;
}

.vs__actions svg {
  fill: #787878;
  width: 17px;
  padding-top: 10px;
}

.dark .vs__actions svg {
  fill: #ffffff;
  width: 17px;
  padding-top: 10px;
}

.vs__actions svg path {
  transform: scale(.6);
}

.vs--searchable .vs__dropdown-toggle {
  cursor: text
}

.vs--unsearchable .vs__dropdown-toggle {
  cursor: pointer
}

/* .vs--open .vs__dropdown-toggle {
  border-bottom-color: transparent;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0
} */

.vs__open-indicator {
  fill: var(--vs-controls-color);
  transform: scale(var(--vs-controls-size));
  transition: transform var(--vs-transition-duration) var(--vs-transition-timing-function);
  transition-timing-function: var(--vs-transition-timing-function)
}

.vs--open .vs__open-indicator {
  transform: rotate(180deg)
}

.vs--loading .vs__open-indicator {
  opacity: 0
}

.vs__clear {
  margin-top: 5px;
  padding: 0;
  border: 0;
  background-color: transparent;
  cursor: pointer;
  margin-right: 8px
}

.vs__dropdown-menu {
  display: block;
  box-sizing: border-box;
  position: absolute;
  top: calc(100% - var(--vs-border-width));
  left: 0;
  z-index: var(--vs-dropdown-z-index);
  padding: 5px 0;
  width: 100%;
  max-height: var(--vs-dropdown-max-height);
  min-width: var(--vs-dropdown-min-width);
  overflow-y: auto;
  box-shadow: var(--vs-dropdown-box-shadow);
  text-align: left;
  list-style: none;
  background: #fff;
  color: var(--vs-dropdown-color);
  margin-top: 10px;
  border: 1px solid #d1d5db;
  border-radius: .5rem;
}

.dark .vs__dropdown-menu {
  border-color: #4b5563;
}

.vs__dropdown-menu li {
  padding: 10px;
}

.vs__dropdown-menu li:hover {
  background: #7267f046;
  color: #7367f0;
}

.vs__no-options {
  text-align: center
}

.vs__dropdown-option {
  line-height: 1.42857143;
  display: block;
  padding: var(--vs-dropdown-option-padding);
  clear: both;
  color: var(--vs-dropdown-option-color);
  white-space: nowrap;
  cursor: pointer
}

.vs__dropdown-option--highlight {
  background: #7367f0;
  color: var(--vs-dropdown-option--active-color)
}

.vs__dropdown-option--deselect {
  background: var(--vs-dropdown-option--deselect-bg);
  color: var(--vs-dropdown-option--deselect-color)
}

.vs__dropdown-option--disabled {
  background: var(--vs-state-disabled-bg);
  color: var(--vs-state-disabled-color);
  cursor: var(--vs-state-disabled-cursor)
}

.vs__selected {
  display: flex;
  align-items: center;
  background-color: var(--vs-selected-bg);
  border-radius: var(--vs-border-radius);
  font-size: 0.857rem;
  line-height: var(--vs-line-height);
  margin: 4px 2px 0;
  padding: 0 .5em;
  z-index: 0
}

.vs--multiple .vs__selected {
  color: #fff;
}

.vs__deselect {
  display: inline-flex;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  margin-left: 4px;
  padding: 0;
  border: 0;
  cursor: pointer;
  background: none;
  fill: var(--vs-controls-color);
  text-shadow: var(--vs-controls--deselect-text-shadow)
}

.vs--single .vs__selected {
  background-color: transparent;
  border-color: transparent
}

.vs--single.vs--open .vs__selected,
.vs--single.vs--loading .vs__selected {
  position: absolute;
  opacity: .4
}

.vs--single.vs--searching .vs__selected {
  display: none
}

.vs__search::-webkit-search-cancel-button {
  display: none
}

.vs__search::-webkit-search-decoration,
.vs__search::-webkit-search-results-button,
.vs__search::-webkit-search-results-decoration,
.vs__search::-ms-clear {
  display: none
}

.vs__search,
.vs__search:focus {
  color: var(--vs-search-input-color);
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  line-height: var(--vs-line-height);
  font-size: var(--vs-font-size);
  border: 1px solid transparent;
  border-left: none;
  outline: none;
  margin: 4px 0 0;
  padding: 0.250rem 7px;
  background: none;
  box-shadow: none;
  width: 0;
  max-width: 100%;
  flex-grow: 1;
  z-index: 1
}

.dark .vs__search {
  color: #fff
}


.vs__search::-moz-placeholder {
  color: var(--vs-search-input-placeholder-color)
}

.vs__search::placeholder {
  /* color: var(--vs-search-input-placeholder-color) */
  color: #9ca3af;
  font-size: 0.857rem;
}


.vs--unsearchable .vs__search {
  opacity: 1
}

.vs--unsearchable:not(.vs--disabled) .vs__search {
  cursor: pointer
}

.vs--single.vs--searching:not(.vs--open):not(.vs--loading) .vs__search {
  opacity: .2
}

.vs__spinner {
  align-self: center;
  opacity: 0;
  font-size: 5px;
  text-indent: -9999em;
  overflow: hidden;
  border-top: .9em solid rgba(100, 100, 100, .1);
  border-right: .9em solid rgba(100, 100, 100, .1);
  border-bottom: .9em solid rgba(100, 100, 100, .1);
  border-left: .9em solid rgba(60, 60, 60, .45);
  transform: translateZ(0) scale(var(--vs-controls--spinner-size, var(--vs-controls-size)));
  -webkit-animation: vSelectSpinner 1.1s infinite linear;
  animation: vSelectSpinner 1.1s infinite linear;
  transition: opacity .1s
}

.vs__spinner,
.vs__spinner:after {
  border-radius: 50%;
  width: 5em;
  height: 5em;
  transform: scale(var(--vs-controls--spinner-size, var(--vs-controls-size)))
}

.vs--loading .vs__spinner {
  opacity: 1
}